Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.deployment
Class DeploymentErrorMsgs

    java.lang.Object
      org.apache.axis2.deployment.DeploymentErrorMsgs

    public class DeploymentErrorMsgs

extends java.lang.Object

Field Summary
`static java.lang.String` | `ADDING_NEW_MODULE`
`static java.lang.String` | `BAD_MODULE_FROM_OPERATION`
`static java.lang.String` | `BAD_MODULE_FROM_SERVICE`
`static java.lang.String` | `BAD_PARAMETER_ARGUMENT`
`static java.lang.String` | `CLASS_NOT_FOUND`
`static java.lang.String` | `CONFIG_NOT_FOUND`
`static java.lang.String` | `DEPLOYING_EXCEPTION`
`static java.lang.String` | `DEPLOYING_MODULE`
`static java.lang.String` | `DEPLOYING_POJO`
`static java.lang.String` | `DEPLOYING_WS`
`static java.lang.String` | `DISPATCH_PHASE_NOT_FOUND`
`static java.lang.String` | `ELEMENT_IS_NOT_ALLOWED`
`static java.lang.String` | `ERROR_IN_LOADING_MESSAGE_RECEIVER`
`static java.lang.String` | `ERROR_LOADING_MESSAGE_BUILDER`
`static java.lang.String` | `ERROR_LOADING_MESSAGE_FORMATTER`
`static java.lang.String` | `ERROR_SETTING_CLIENT_HOME`
`static java.lang.String` | `FAULTY_SERVICE_REMOVAL`
`static java.lang.String` | `FILE_NOT_FOUND`
`static java.lang.String` | `FLOWTYPE_IS_REQUIRED`
`static java.lang.String` | `INFLOW_NOT_ALLOWED_IN_TRS_OUT`
`static java.lang.String` | `INVALID_HANDLER`
`static java.lang.String` | `INVALID_MODULE`
`static java.lang.String` | `INVALID_MODULE_CONFIG`
`static java.lang.String` | `INVALID_MODULE_REF`
`static java.lang.String` | `INVALID_OP`
`static java.lang.String` | `INVALID_PHASE`
`static java.lang.String` | `INVALID_SERVICE`
`static java.lang.String` | `INVALID_STORAGE_CLASS`
`static java.lang.String` | `JAXWS_JARS_MISSING`
`static java.lang.String` | `META_INF_MISSING`
`static java.lang.String` | `MODULE_CANNOT_HAVE_BOTH_NAME_AND_REFERENCE`
`static java.lang.String` | `MODULE_NOT_FOUND`
`static java.lang.String` | `MODULE_VALIDATION_FAILED`
`static java.lang.String` | `MODULE_XML_MISSING`
`static java.lang.String` | `OBSERVER_ERROR`
`static java.lang.String` | `OPERATION_PROCESS_ERROR`
`static java.lang.String` | `OUTFLOW_NOT_ALLOWED_IN_TRS_IN`
`static java.lang.String` | `PARAMETER_LOCKED`
`static java.lang.String` | `PATH_TO_CONFIG_CANNOT_BE_NULL`
`static java.lang.String` | `REPOSITORY_CANNOT_BE_NULL`
`static java.lang.String` | `SERVICE_MODULE_CANNOT_REFER_GLOBAL_PHASE`
`static java.lang.String` | `SERVICE_NAME_ERROR`
`static java.lang.String` | `SERVICE_REMOVED`
`static java.lang.String` | `SERVICE_XML_NOT_FOUND`
`static java.lang.String` | `STORING_FAULTY_SERVICE`
`static java.lang.String` | `TRANSPORT_SENDER_ERROR`
`static java.lang.String` | `XML_STREAM_EXCEPTION`

Constructor Summary
`DeploymentErrorMsgs()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADDING_NEW_MODULE

    public static final java.lang.String ADDING_NEW_MODULE

See Also:
  Constant Field Values

### BAD_MODULE_FROM_OPERATION

    public static final java.lang.String BAD_MODULE_FROM_OPERATION

See Also:
  Constant Field Values

### BAD_MODULE_FROM_SERVICE

    public static final java.lang.String BAD_MODULE_FROM_SERVICE

See Also:
  Constant Field Values

### BAD_PARAMETER_ARGUMENT

    public static final java.lang.String BAD_PARAMETER_ARGUMENT

See Also:
  Constant Field Values

### CONFIG_NOT_FOUND

    public static final java.lang.String CONFIG_NOT_FOUND

See Also:
  Constant Field Values

### CLASS_NOT_FOUND

    public static final java.lang.String CLASS_NOT_FOUND

See Also:
  Constant Field Values

### DEPLOYING_MODULE

    public static final java.lang.String DEPLOYING_MODULE

See Also:
  Constant Field Values

### DEPLOYING_WS

    public static final java.lang.String DEPLOYING_WS

See Also:
  Constant Field Values

### DEPLOYING_POJO

    public static final java.lang.String DEPLOYING_POJO

See Also:
  Constant Field Values

### ELEMENT_IS_NOT_ALLOWED

    public static final java.lang.String ELEMENT_IS_NOT_ALLOWED

See Also:
  Constant Field Values

### ERROR_IN_LOADING_MESSAGE_RECEIVER

    public static final java.lang.String ERROR_IN_LOADING_MESSAGE_RECEIVER

See Also:
  Constant Field Values

### FLOWTYPE_IS_REQUIRED

    public static final java.lang.String FLOWTYPE_IS_REQUIRED

See Also:
  Constant Field Values

### FILE_NOT_FOUND

    public static final java.lang.String FILE_NOT_FOUND

See Also:
  Constant Field Values

### INFLOW_NOT_ALLOWED_IN_TRS_OUT

    public static final java.lang.String INFLOW_NOT_ALLOWED_IN_TRS_OUT

See Also:
  Constant Field Values

### INVALID_HANDLER

    public static final java.lang.String INVALID_HANDLER

See Also:
  Constant Field Values

### INVALID_MODULE

    public static final java.lang.String INVALID_MODULE

See Also:
  Constant Field Values

### INVALID_MODULE_CONFIG

    public static final java.lang.String INVALID_MODULE_CONFIG

See Also:
  Constant Field Values

### INVALID_MODULE_REF

    public static final java.lang.String INVALID_MODULE_REF

See Also:
  Constant Field Values

### INVALID_OP

    public static final java.lang.String INVALID_OP

See Also:
  Constant Field Values

### INVALID_PHASE

    public static final java.lang.String INVALID_PHASE

See Also:
  Constant Field Values

### INVALID_SERVICE

    public static final java.lang.String INVALID_SERVICE

See Also:
  Constant Field Values

### INVALID_STORAGE_CLASS

    public static final java.lang.String INVALID_STORAGE_CLASS

See Also:
  Constant Field Values

### MODULE_CANNOT_HAVE_BOTH_NAME_AND_REFERENCE

    public static final java.lang.String MODULE_CANNOT_HAVE_BOTH_NAME_AND_REFERENCE

See Also:
  Constant Field Values

### DISPATCH_PHASE_NOT_FOUND

    public static final java.lang.String DISPATCH_PHASE_NOT_FOUND

See Also:
  Constant Field Values

### MODULE_NOT_FOUND

    public static final java.lang.String MODULE_NOT_FOUND

See Also:
  Constant Field Values

### MODULE_VALIDATION_FAILED

    public static final java.lang.String MODULE_VALIDATION_FAILED

See Also:
  Constant Field Values

### MODULE_XML_MISSING

    public static final java.lang.String MODULE_XML_MISSING

See Also:
  Constant Field Values

### META_INF_MISSING

    public static final java.lang.String META_INF_MISSING

See Also:
  Constant Field Values

### OBSERVER_ERROR

    public static final java.lang.String OBSERVER_ERROR

See Also:
  Constant Field Values

### OPERATION_PROCESS_ERROR

    public static final java.lang.String OPERATION_PROCESS_ERROR

See Also:
  Constant Field Values

### OUTFLOW_NOT_ALLOWED_IN_TRS_IN

    public static final java.lang.String OUTFLOW_NOT_ALLOWED_IN_TRS_IN

See Also:
  Constant Field Values

### PARAMETER_LOCKED

    public static final java.lang.String PARAMETER_LOCKED

See Also:
  Constant Field Values

### PATH_TO_CONFIG_CANNOT_BE_NULL

    public static final java.lang.String PATH_TO_CONFIG_CANNOT_BE_NULL

See Also:
  Constant Field Values

### REPOSITORY_CANNOT_BE_NULL

    public static final java.lang.String REPOSITORY_CANNOT_BE_NULL

See Also:
  Constant Field Values

### SERVICE_MODULE_CANNOT_REFER_GLOBAL_PHASE

    public static final java.lang.String SERVICE_MODULE_CANNOT_REFER_GLOBAL_PHASE

See Also:
  Constant Field Values

### SERVICE_NAME_ERROR

    public static final java.lang.String SERVICE_NAME_ERROR

See Also:
  Constant Field Values

### SERVICE_REMOVED

    public static final java.lang.String SERVICE_REMOVED

See Also:
  Constant Field Values

### SERVICE_XML_NOT_FOUND

    public static final java.lang.String SERVICE_XML_NOT_FOUND

See Also:
  Constant Field Values

### ERROR_SETTING_CLIENT_HOME

    public static final java.lang.String ERROR_SETTING_CLIENT_HOME

See Also:
  Constant Field Values

### TRANSPORT_SENDER_ERROR

    public static final java.lang.String TRANSPORT_SENDER_ERROR

See Also:
  Constant Field Values

### XML_STREAM_EXCEPTION

    public static final java.lang.String XML_STREAM_EXCEPTION

See Also:
  Constant Field Values

### ERROR_LOADING_MESSAGE_BUILDER

    public static final java.lang.String ERROR_LOADING_MESSAGE_BUILDER

See Also:
  Constant Field Values

### ERROR_LOADING_MESSAGE_FORMATTER

    public static final java.lang.String ERROR_LOADING_MESSAGE_FORMATTER

See Also:
  Constant Field Values

### DEPLOYING_EXCEPTION

    public static final java.lang.String DEPLOYING_EXCEPTION

See Also:
  Constant Field Values

### STORING_FAULTY_SERVICE

    public static final java.lang.String STORING_FAULTY_SERVICE

See Also:
  Constant Field Values

### JAXWS_JARS_MISSING

    public static final java.lang.String JAXWS_JARS_MISSING

See Also:
  Constant Field Values

### FAULTY_SERVICE_REMOVAL

    public static final java.lang.String FAULTY_SERVICE_REMOVAL

See Also:
  Constant Field Values

Constructor Detail

### DeploymentErrorMsgs

    public DeploymentErrorMsgs()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.